﻿:root {
    --switchColumn: 3;
    --switchRow: 8;
}

/*WIDGETS STYLE*/


/*QUICK VIEW SELECTOR*/

.quickViewSelector_L {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-12%,-36%);
}

.quickViewSelector_R {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-93%,-36%);
}

/*TASTO PER CONFERMARE GLI ALLARMI*/
.alarm_check {
}

@media (max-width: 1100px) {

    .alarm_check {
        font-size: 3rem;
    }
}



/*ALARM WIDGET*/

.alarmWidget-panel-menu {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 14% 71% 15%;
    background-color: #fafafa;
    padding: 1.2rem;
    border: 0.1rem solid #e2e2e2;
}

.alarmWidget-panel-menu-icon {
    width: fit-content;
    grid-area: 1/3;
    margin-left: auto;
    margin-right: auto;
}

.alarmWidget-panel-menu-title {
    grid-area: 1/2;
    font-size: 1.8rem;
    font-weight: 600 !important;
    text-align: center;
    margin-top: 0.5rem;
}
@media (max-width: 1100px) {
    .alarmWidget-panel-menu-title {
        text-transform:uppercase;
        margin-left:auto;
        margin-right:auto;
        font-size:2.2rem;
    }
    .alarmWidget-panel-menu-btn {
        margin-left: auto;
        margin-right: auto;
    }
}

.alarmWidget-panel-menu-btn {
    grid-area: 1/1;
}

.alarmWidget-panel-body {
    min-height: 12rem;
    max-height: 51rem;
    overflow-y: auto;
    padding: initial;
    display: grid;
    border: 0.1rem solid #e2e2e2;
}

.alarmWidget-panel-body-timeline-item {
    width: auto;
    display: grid;
    position: relative;
    padding: 1rem;
    grid-auto-flow: column;
    grid-template-columns: 15% 70% 15%;
}

.alarmWidget-panel-body-timeline-item-icon {
    width: 3rem;
    height: 3rem;
    border-radius: 1.5rem;
    margin-bottom: auto;
    margin-right: auto;
}

.alarmWidget-panel-body-timeline-desc {
    padding: 0.5rem;
}

.alarmWidget-panel-body-timeline-desc-message {
    font-size: 1.6rem;
    color: #3498db;
    text-decoration: none;
    background: transparent;
}

.alarmWidget-panel-body-timeline-desc-info {
    width: 100%;
    font-size: 1.2rem;
    color: black;
    text-transform: uppercase;
}

@media (max-width: 1100px) {
    .alarmWidget-panel-body-timeline-desc-info {
        display: inline-block;
        font-size: 1.6rem;
        width: fit-content;
        margin-left: 2rem;
    }

    .alarmWidget-panel-body-timeline-desc-message {
        font-size: 2rem;
        display: inline-block;
    }
    .alarmWidget-panel-body-timeline-item-date {
        margin-left:auto;
        margin-right:auto;
    }
}


.alarmWidget-panel-body-timeline-item-date {
    font-size: 1.5rem;
    margin-right: 0rem
}

.alarmWidget-panel-body-timeline-item-date-btn-group {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin-top: 1rem;
}

.alarm_info-col {
    display: grid;
    grid-template-columns: 40% 1fr;
}

/*SWITCHBOARD WIDGET*/

.switchWidget_header {
    display: grid;
    font-size: 2rem;
    grid-auto-flow: column;
    grid-template-columns: 3% 97%;
    padding: 1.2rem;
}

.switchWidget_header_icon {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    margin-top: auto;
    font-size: 1.6rem;
}

.switchWidget_header_title {
    grid-area: 1/2;
    font-size: 1.8rem;
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 600 !important;
    margin-right: auto;
    margin-left: auto;
}

.switchWidget_body {
    min-height: 12rem;
    padding: initial;
    display: grid;
    grid-template-columns: repeat(var(--switchColumn),1fr);
    border: .1rem solid #e2e2e2;
    grid-auto-flow: column;
    grid-template-rows: repeat(var(--switchRow),1fr);
}

.switchWidget_body_item {
    width: auto;
    display: grid;
    position: relative;
    padding: 1rem;
    grid-auto-flow: column;
    grid-template-columns: 15% minmax(65%,24rem) 20%;
    min-width: max-content;
}

.switchWidget_body_item_border {
    border-right: 0.1rem solid;
}
/*.switchWidget_body_item:nth-child(n+17) {
    border:none;
}*/
.switchWidget_body_item_icon {
    width: 3rem;
    height: 3rem;
    border-radius: 1.5rem;
    margin: auto;
}

.switchWidget_body_item_desc {
    display: grid;
    color: black;
    padding-left: 0.5rem;
    padding-right: .5rem;
}

.switchWidget_body_item_square {
    height: 1rem;
    width: 1rem;
    float: left;
    border: solid 0.1rem black;
}


/*add VIEW*/

.viewGroupWidget {
    width: 100%;
    height: inherit;
    position: relative;
}

.viewGroupWidget_btn {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    height: 5rem;
    width: 5rem;
    font-size: 3.5rem;
    border-radius: 100%;
}

.viewGroupWidget_list {
    display: grid;
    grid-template-rows:3% 91% 6%;
    padding: 1REM;
    overflow-y: auto;
    height:inherit;
}

.viewGroupWidget_list_header {
    display:grid;
    width: 100%;
    font-size: 2rem;
    color: black;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
}

.viewGroupWidget_list_element {
    position: relative;
    height: auto;
    padding: 1rem;
    display: grid;
    overflow-y:auto;
}

.viewGroupWidget_list_element_title {
    display: grid;
    grid-template-columns: 4% 46% 38% 6% 6%;
    text-transform: uppercase;
    font-size: 1.6rem;
    letter-spacing: 0.1rem;
    font-weight: 600;
    align-items: center;
}

.viewGroupWidget_list_footer {
    display: grid;
    height: auto;
    padding: 1rem;
    width: auto;
}

.viewGroupWidget_list_element_btn_add {
    position: absolute;
    left: 50%;
    top: 50%;
    border-radius: 50%;
    transform: translate(-50%,-50%) rotate(90deg);
    transition: 0.5s;
    height: 1.8rem;
    width: 1.4rem;
}

.viewGroupWidget_list_element_btn_remove {
    position: absolute;
    left: 50%;
    top: 50%;
    border-radius: 50%;
    transform: translate(-50%,-50%) rotate(180deg);
    transition: 0.5s;
    width: 1.4rem;
    height: 1.8rem;
}


/*VIEWLIST*/

.preferito{
    border-color:yellow;
    color:yellow;
}